import request from '@/utils/request'
import download from '@/utils/request';
// 查询角色列表
export function findAll(query) {
  return request({
    url: '/knowledge/tViolation/findAll',
    method: 'post',
    data: query
  })
}

export function findOne(query) {
  return request({
    url: '/knowledge/tViolation/findOne',
    method: 'get',
    params: query
  })
}

export function push(data) {
  return request({
    url: '/knowledge/tViolation/push',
    method: 'post',
    params: data
  })
}


export function addNew(query) {
  return request({
    url: '/knowledge/tViolation/insert',
    method: 'post',
    data: query
  })
}

export function updateData(query) {
  return request({
    url: '/knowledge/tViolation/update',
    method: 'post',
    data: query
  })
}


export function deleteData(ids) {
  return request({
      url: '/knowledge/tViolation/delete',
      method: 'post',
      params:ids
  })
}

export function exportData(url, params, filename, config) {
  return download({
    url:url,
    params:null,
    filename:filename,
    config:null

  })
}

